View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000756Ecere SDKidepublic2012-07-12 03:402013-08-07 03:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000756: When reloading both a source (.ec) and project (.epj) file at once (e.g. with git checkout), IDE crashes
DescriptionAs summarized
TagsNo tags attached.
Attached Files

- Relationships
related to 0000511closedredj Reloading of modified 'added' (e.g. shared libraries dependencies) projects & Hangs on reloading projects 

-  Notes
(0000615)
jerome (administrator)
2012-07-12 03:50

Call stack:

  0 __ecereNameSpace__ecere__gui__GuiApplication_ProcessFileNotifications Method, src\gui\GuiApplication.ec:1258
  1 __ecereNameSpace__ecere__gui__GuiApplication_ProcessInput Method, src\gui\GuiApplication.ec:766
  2 __ecereNameSpace__ecere__gui__GuiApplication_Main Method, src\gui\GuiApplication.ec:684
  3 main Function, obj\debug.win32\ide.main.ec:3985

Crashes on:

      for(monitor = globalSystem.fileMonitors.first; monitor; monitor = next)
      {
         FileNotify notify;

 >> next = monitor.next;
         incref monitor;

monitor is 0x00000002
(0000616)
jerome (administrator)
2012-07-12 04:13

Freeing Already Freed Memory
Current Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessFileNotifications
Object of class FileMonitor
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/Menu.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__PopupMenu_OnKeyHit
      src/gui/controls/Menu.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__PopupMenu_MenuItemSelection
      src/ide.ec:__ecereMethod_IDEWorkSpace_FileRecentProject
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereConstructor___ecereNameSpace__ecere__gui__Window
   Free Location Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessFileNotifications
      src/gui/Window.ec:__ecereInstMeth___ecereNameSpace__ecere__sys__FileMonitor_OnFileNotify__00000000
      src/ide.ec:__ecereMethod_IDEWorkSpace_OnFileModified
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_MenuWindowCloseAll
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_Destroy
      src/gui/Window.ec:__ecereDestructor___ecereNameSpace__ecere__gui__Window
(0000617)
jerome (administrator)
2012-07-12 04:31

Fixed by https://github.com/ecere/sdk/commit/1008cc83515e473c00cad0bf5968e365bfa39fe3 [^]

- Issue History
Date Modified Username Field Change
2012-07-12 03:40 jerome New Issue
2012-07-12 03:40 jerome Status new => assigned
2012-07-12 03:40 jerome Assigned To => jerome
2012-07-12 03:40 jerome Relationship added related to 0000511
2012-07-12 03:50 jerome Note Added: 0000615
2012-07-12 04:13 jerome Note Added: 0000616
2012-07-12 04:31 jerome Status assigned => resolved
2012-07-12 04:31 jerome Fixed in Version => 0.44.1 Android
2012-07-12 04:31 jerome Resolution open => fixed
2012-07-12 04:31 jerome Note Added: 0000617
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker